---
updatedAt: 2026-06-09T06:44:25.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Get Token by ID

Returns token details by token ID. You can also use `me` instead of a token ID to get details of the currently used token.


**Note:** Admin users can view any token. Non-admin users can only view tokens where the subject matches their username.


**Security:** Requires a valid token.


<br />

<Callout icon="📘" theme="info">
  The `last_used` parameter  

  The `last_used` parameter is supported for Artifactory versions 7.108.3 and above. To use it, you need to configure the following system properties:

  * `access_token_last_used_enabled: True`

  * `access_token_last_used_threshold: 900`

  **Limitations**

  When using the `last_used` parameter, note that it has the following limitations:

  * The returned value might not be precise, and might not include changes from the last 2 hours, due to the verify flow cache or to the `last_used_threshold` parameter which controls the frequency of updates.

  * `last_used` is not supported for: Environments using Circle of Trust without Federation configured

  * `last_used` is not supported for: Short-lived tokens (with an expiry value of less than 6 hours)

  * `last_used` is not supported for: Service, internal, or session tokens (only identity tokens are supported)

  * `last_used` is not supported for: Propagation of `last_used` timestamp to federated JPDs
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Access Tokens API",
    "description": "Manage access tokens for the JFrog Platform, including creating, refreshing, listing, and revoking tokens.\n\n**Authentication:** Access Tokens as bearer token in authorization header (`Authorization: Bearer <token>`). Basic authentication is also supported for the Create Token API when enabled in the platform configuration.\n\n**Security:** Security requirements vary per operation. See individual operation descriptions for details.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "Access Tokens",
      "description": "Create, retrieve, refresh, and revoke access tokens for JFrog Platform services."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v1/tokens/{tokenId}": {
      "get": {
        "tags": [
          "Access Tokens"
        ],
        "summary": "Get Token by ID",
        "description": "Returns token details by token ID. You can also use `me` instead of a token ID to get details of the currently used token.\n\n\n**Note:** Admin users can view any token. Non-admin users can only view tokens where the subject matches their username.\n\n\n**Security:** Requires a valid token.\n",
        "operationId": "getTokenById",
        "parameters": [
          {
            "name": "tokenId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The token ID"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TokenDetails"
                }
              }
            }
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          },
          "404": {
            "description": "Not Found - Token not found"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    },
    "schemas": {
      "TokenDetails": {
        "type": "object",
        "properties": {
          "token_id": {
            "type": "string"
          },
          "subject": {
            "type": "string"
          },
          "expiry": {
            "type": "integer"
          },
          "issued_at": {
            "type": "integer"
          },
          "issuer": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "refreshable": {
            "type": "boolean"
          },
          "scope": {
            "type": "string"
          },
          "last_used": {
            "type": "integer",
            "description": "The Unix timestamp (in seconds) of when the token was last used. Supported from Artifactory version 7.108.3 and above. Requires `access_token_last_used_enabled: True` and `access_token_last_used_threshold: 900` system properties to be configured.\n"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```